<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.13"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>gluon: bit_hacks/verify.c File Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">gluon
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.13 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="dir_64eb892c6bd55b82613c6a491afc7b54.html">bit_hacks</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">verify.c File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="bit__hacks_8h_source.html">bit_hacks.h</a>&quot;</code><br />
<code>#include &lt;stdint.h&gt;</code><br />
</div><div class="textblock"><div class="dynheader">
Include dependency graph for verify.c:</div>
<div class="dyncontent">
<div class="center"><img src="bit__hacks_2verify_8c__incl.png" border="0" usemap="#bit__hacks_2verify_8c" alt=""/></div>
<map name="bit__hacks_2verify_8c" id="bit__hacks_2verify_8c">
<area shape="rect" id="node2" href="bit__hacks_8h.html" title="bit_hacks.h" alt="" coords="5,80,95,107"/>
</map>
</div>
</div><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:aa5c8204b709fb3a815dae6a1f4e8121c"><td class="memItemLeft" align="right" valign="top">uint32_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#aa5c8204b709fb3a815dae6a1f4e8121c">nondet_uint32</a> (void)</td></tr>
<tr class="separator:aa5c8204b709fb3a815dae6a1f4e8121c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a4bfa2e4de4862e98b83c6d7f706fa230"><td class="memItemLeft" align="right" valign="top">uint8_t&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#a4bfa2e4de4862e98b83c6d7f706fa230">nondet_uint8</a> (void)</td></tr>
<tr class="separator:a4bfa2e4de4862e98b83c6d7f706fa230"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8a3fe301419b8df7df97e683afa94504"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#a8a3fe301419b8df7df97e683afa94504">verificatin_case_is_power_of_two</a> (void)</td></tr>
<tr class="separator:a8a3fe301419b8df7df97e683afa94504"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aec147a360bf535e7f7309b0770c08fbb"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#aec147a360bf535e7f7309b0770c08fbb">verificatin_case_u16_set_bit</a> (void)</td></tr>
<tr class="separator:aec147a360bf535e7f7309b0770c08fbb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad232db240784305f6e473f28736a44d3"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#ad232db240784305f6e473f28736a44d3">verificatin_case_u32_set_bit</a> (void)</td></tr>
<tr class="separator:ad232db240784305f6e473f28736a44d3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a950c4452e26bdad83d24322d7f782b9f"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#a950c4452e26bdad83d24322d7f782b9f">verificatin_case_u64_set_bit</a> (void)</td></tr>
<tr class="separator:a950c4452e26bdad83d24322d7f782b9f"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a889d4402e27fa4359a168fce05158d3e"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#a889d4402e27fa4359a168fce05158d3e">verificatin_case_reverse_uint8_bits</a> (void)</td></tr>
<tr class="separator:a889d4402e27fa4359a168fce05158d3e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a87fdf113fef594ad2e7421c914d48511"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#a87fdf113fef594ad2e7421c914d48511">verificatin_case_reverse_uint32_bits</a> (void)</td></tr>
<tr class="separator:a87fdf113fef594ad2e7421c914d48511"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a840291bc02cba5474a4cb46a9b9566fe"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="bit__hacks_2verify_8c.html#a840291bc02cba5474a4cb46a9b9566fe">main</a> (void)</td></tr>
<tr class="separator:a840291bc02cba5474a4cb46a9b9566fe"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<h2 class="groupheader">Function Documentation</h2>
<a id="a840291bc02cba5474a4cb46a9b9566fe"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a840291bc02cba5474a4cb46a9b9566fe">&#9670;&nbsp;</a></span>main()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int main </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aa5c8204b709fb3a815dae6a1f4e8121c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aa5c8204b709fb3a815dae6a1f4e8121c">&#9670;&nbsp;</a></span>nondet_uint32()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint32_t nondet_uint32 </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a4bfa2e4de4862e98b83c6d7f706fa230"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a4bfa2e4de4862e98b83c6d7f706fa230">&#9670;&nbsp;</a></span>nondet_uint8()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">uint8_t nondet_uint8 </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a8a3fe301419b8df7df97e683afa94504"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8a3fe301419b8df7df97e683afa94504">&#9670;&nbsp;</a></span>verificatin_case_is_power_of_two()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void verificatin_case_is_power_of_two </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a87fdf113fef594ad2e7421c914d48511"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a87fdf113fef594ad2e7421c914d48511">&#9670;&nbsp;</a></span>verificatin_case_reverse_uint32_bits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void verificatin_case_reverse_uint32_bits </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a889d4402e27fa4359a168fce05158d3e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a889d4402e27fa4359a168fce05158d3e">&#9670;&nbsp;</a></span>verificatin_case_reverse_uint8_bits()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void verificatin_case_reverse_uint8_bits </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="aec147a360bf535e7f7309b0770c08fbb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#aec147a360bf535e7f7309b0770c08fbb">&#9670;&nbsp;</a></span>verificatin_case_u16_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void verificatin_case_u16_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="ad232db240784305f6e473f28736a44d3"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad232db240784305f6e473f28736a44d3">&#9670;&nbsp;</a></span>verificatin_case_u32_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void verificatin_case_u32_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
<a id="a950c4452e26bdad83d24322d7f782b9f"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a950c4452e26bdad83d24322d7f782b9f">&#9670;&nbsp;</a></span>verificatin_case_u64_set_bit()</h2>

<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void verificatin_case_u64_set_bit </td>
          <td>(</td>
          <td class="paramtype">void&#160;</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.13
</small></address>
</body>
</html>
